Bug 987110 - aopalliance: Add OSGi menifest
aopalliance: Add OSGi menifest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: aopalliance (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 985674 985682
  Show dependency treegraph
 
Reported: 2013-07-22 14:03 EDT by Mikolaj Izdebski
Modified: 2013-07-23 00:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 00:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-22 14:03:36 EDT
Description of problem:
Please add OSGi manifest for aopalliance.
The manifest is required for aopalliance to be able to used as
bundle by Eclipse and Tycho.  It is needed to build Eclipse Sisu,
which is dependency of Apache Maven version 3.1.0.

The manifest should contain:
  Bundle-SymbolicName: org.aopalliance
  Bundle-Version: 1.0
  Bundle-ManifestVersion: 2

Version-Release number of selected component (if applicable):
1.0-6

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines
[3] http://fedoraproject.org/wiki/Packaging:EclipsePlugins
Comment 1 Mikolaj Izdebski 2013-07-23 00:58:41 EDT
Already has OSGi manifest.
BSN is aopalliance

Note You need to log in before you can comment on or make changes to this bug.